Boards
Import CSV data in a Board
cURL
curl --request POST \
--url '/public-api/v1/Boards/{boardId}/Import' \
--header 'user-api-key: <api-key>' \
--header 'Content-Type: multipart/form-data'Authorizations
- user-api-keystringheader
User's API Key · apiKey
Path parameters
- boardIdstringrequired
Query parameters
- skipWebhookboolean
If true, no webhook is fired for this import event. Note: skipWebhook only guarantees that no webhook is fired for THIS event. If a previous webhook delivery had failed, the next successful delivery will include a cumulated diff that may contain changes from skipped imports.
Body
multipart/form-data- MappingIdstring
Mapping's Id
- CSVFilestring
CSV file
- Delimiterstring
String used as column delimiter
- KeepExistingboolean
Keep the items not present in the CSV
Responses
OK
- AddedEntitiesinteger
- UpdatedEntitiesinteger
- DeletedEntitiesinteger
- UpdatedPropertiesinteger